Loading...
Searching...
No Matches
grid.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/math/vector3.h>`
`#include <openbabel/base.h>`
`#include <openbabel/mol.h>`
`#include <iosfwd>`
`#include <algorithm>`
`#include <vector>`
`#include <string>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBGrid
class | OBFloatGrid
class | OBProxGrid
class | OBScoreGrid

## Namespaces

namespace | OpenBabel

## Macros

#define | OBPolarGrid 0x01 /* polar interactions? */
#define | OBLipoGrid 0x02 /* lipophilicity? */

## Enumerations

enum | score_t { Undefined = -1 , PLP , ChemScore }

## Detailed Description

Handle grids of values.

## Macro Definition Documentation

## OBPolarGrid

#define OBPolarGrid 0x01 /* polar interactions? */

Referenced by OBProxGrid::PolarGrid().

## OBLipoGrid

#define OBLipoGrid 0x02 /* lipophilicity? */

Referenced by OBProxGrid::LipoGrid().